Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_String_out Class Reference

CORBA_String_out. More...

`#include <CORBA_String.h>`

List of all members.

## Public Methods
| CORBA_String_out (char *&p)
| Construction from a reference to a string. More...
| CORBA_String_out (CORBA_String_var &p)
| Construction from a var. More...
| CORBA_String_out (TAO_String_Manager &p)
| Construction from a var. More...
| CORBA_String_out (const CORBA_String_out &s)
| Copy constructor. More...
CORBA_String_out & | operator= (const CORBA_String_out &s)
| Assignment from a string_out. More...
CORBA_String_out & | operator= (char *p)
| Assignment from a string. More...
CORBA_String_out & | operator= (const char *p)
| Assignment from a constant char*. More...
| operator char *& ()
| Cast. More...
char *& | ptr (void)
| Return underlying instance. More...
## Private Methods
void | operator= (const CORBA_String_var &)
## Private Attributes
char *& | ptr_
| Instance. More...

## Detailed Description

CORBA_String_out.

To support the memory management for "out" parameter passing mode. ORBOS/97-05-15, Appendix C.2 defines a CORBA_String_out class

## Constructor & Destructor Documentation

ACE_INLINE CORBA_String_out::CORBA_String_out | ( | char *& | s | ) |

| Construction from a reference to a string.

ACE_INLINE CORBA_String_out::CORBA_String_out | ( | CORBA_String_var & | s | ) |

| Construction from a var.

ACE_INLINE CORBA_String_out::CORBA_String_out | ( | TAO_String_Manager & | s | ) |

| Construction from a var.

ACE_INLINE CORBA_String_out::CORBA_String_out | ( | const CORBA_String_out & | s | ) |

| Copy constructor.

## Member Function Documentation

ACE_INLINE CORBA_String_out::operator char *& | ( |  | ) |

| Cast.

void CORBA_String_out::operator= | ( | const CORBA_String_var & |  | ) | `[private]`

ACE_INLINE CORBA_String_out & CORBA_String_out::operator= | ( | const char * | s | ) |

| Assignment from a constant char*.

ACE_INLINE CORBA_String_out & CORBA_String_out::operator= | ( | char * | s | ) |

| Assignment from a string.

ACE_INLINE CORBA_String_out & CORBA_String_out::operator= | ( | const CORBA_String_out & | s | ) |

| Assignment from a string_out.

ACE_INLINE char *& CORBA_String_out::ptr | ( | void |  | ) |

| Return underlying instance.

## Member Data Documentation

char*& CORBA_String_out::ptr_`[private]`

| Instance.

The documentation for this class was generated from the following files:

- CORBA_String.h
- CORBA_String.inl